#### CRYPTOKEY

#### Synopsis

    HELP:   Password for en/de-crypting a FLAMFILE in AES or FLAMENC mode (default: AES).
    TYPE:   STRING
    SYNTAX: CRYPTOKEY/CRYPTKEY/CRYPTOK='bin'

#### Description

Key to encrypt or decrypt a FLAMFILE.

This parameter activates the crytographic method, entered with parameter CRYPTOMODE.

The FLAMFILE is encrypted with AES in combination with `mode=adc` or `mode=ndc`.

See also parameters MODE, CRYPTOMODE, PASSWORD, PAXWORD, PAASCII or PAEBCDIC.

Regardless of the encryption algorithm, a key should consist of at least 6 - 8 characters and it should at least contain 1 character from the following sets:

- Lower case letters
- Upper case letters
- Numbers 0 - 9
- Punctuation characters

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `CRYPTOKEY=password`
  - `CRYPTOK=password`
- UNIX
  - See parameter PASSWORD.
- WINDOWS
  - `cryptkey=password`
    Alternative specification: `cryptmode=aes password=password`
    See also parameters CRYPTOMODE and PASSWORD.

Values

- z/OS
  - 1 - 64 characters starting with A'...', C'...', X'...' or a string.
    Using A'...' all characters are translated to ASCII using the internal translation table A/E (ch. A).
- WINDOWS
  - Regardless of the encryption algorithm a key should consist of at least 6 - 8 characters and it should contain at least 1 character from each of the following sets:
    - Lower case letters
    - Capital letters
    - Numbers 0 - 9
    - Punctuation characters

Default

- No default value can be set for password.

Valid for

- compression
- decompression